"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addListener = exports.getLastMessage = exports.broadcastAndStopListening = void 0;
const listeners = new Set();
let lastMessage;
function broadcastAndStopListening(message) {
    lastMessage = message;
    listeners.forEach((callback) => {
        try {
            callback(message);
        }
        finally {
            listeners.delete(callback);
        }
    });
}
exports.broadcastAndStopListening = broadcastAndStopListening;
function getLastMessage() {
    return lastMessage;
}
exports.getLastMessage = getLastMessage;
function addListener(listener) {
    listeners.add(listener);
}
exports.addListener = addListener;
//# sourceMappingURL=messaging.js.map